org.encog.app.analyst.util

## Class AnalystUtility

- java.lang.Object
- - org.encog.app.analyst.util.AnalystUtility

-     public class AnalystUtility
      extends Object

  Provides an interface to the analyst usually used by other programs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalystUtility(EncogAnalyst theAnalyst)` Construct the analyst utility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analyze(File theFilename)`
    `void` | `decode(boolean includeInput, boolean includeOutput, double[] rawData, MLData encodedData)` Decode fields, using the analyst.
    `void` | `encode(boolean includeInput, boolean includeOutput, double[] rawData, MLData encodedData)` Encode fields, using the analyst.
    `MLDataSet` | `loadCSV(File file)` Load a CSV file into an MLDataSet.
    `MLDataSet` | `loadCSV(String filename)` Load a CSV file into an MLDataSet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalystUtility

          public AnalystUtility(EncogAnalyst theAnalyst)

      Construct the analyst utility.
      Parameters:
        `theAnalyst` - The analyst that we are using.

  - ### Method Detail

    - #### encode

          public void encode(boolean includeInput,
                    boolean includeOutput,
                    double[] rawData,
                    MLData encodedData)

      Encode fields, using the analyst.
      Parameters:
        `includeInput` - Should we include the input fields.
        `includeOutput` - Should we include the output fields.
        `rawData` - The raw data to encode from.
        `encodedData` - The data to encode to.

    - #### loadCSV

          public MLDataSet loadCSV(File file)

      Load a CSV file into an MLDataSet.
      Parameters:
        `file` - The file to load.
      Returns:
        The loaded data set.

    - #### loadCSV

          public MLDataSet loadCSV(String filename)

      Load a CSV file into an MLDataSet.
      Parameters:
        `file` - The file to load.
      Returns:
        The loaded data set.

    - #### decode

          public void decode(boolean includeInput,
                    boolean includeOutput,
                    double[] rawData,
                    MLData encodedData)

      Decode fields, using the analyst.
      Parameters:
        `includeInput` - Should we include the input fields.
        `includeOutput` - Should we include the output fields.
        `rawData` - The raw data to encode to.
        `encodedData` - The data to encode from.

    - #### analyze

          public void analyze(File theFilename)

Copyright © 2014. All Rights Reserved.